PreviewAlertSilenceRuleChange
Preview how updating, disabling, or deleting a silence rule changes current suppression without mutating state
/api/v1/alerting/silence-rules/{ruleUuid}/preview-changeOperation ID
PreviewAlertSilenceRuleChangeSince
1.2.8Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonPath Parameters
ruleUuidStringRequiredUUID of the silence rule to preview
Body Fields
operationStringPreview operation: update, disable, or delete
Example: update
candidateObjectCandidate update, required when operation is update
ruleUuidStringRule uuid for this resource
Example: value
nameStringUpdated silence rule name
Example: Maintenance Window Q1
descriptionStringDescription for this resource
Example: A brief description
matchersListMatchers for this resource
Example: (nested array)
keyStringWhitelisted alert label key to match
Example: severity
operatorStringMatch operator: eq, neq, or regex
Example: eq
valueStringValue used by the selected operator
Example: critical
startsAtStringStarts at for this resource
Example: 2026-01-15T08:00:00Z
endsAtStringEnds at for this resource
Example: 2026-01-15T08:00:00Z
enabledBooleanWhether the silence rule is enabled
Example: true
timezoneStringTimezone for this resource
Example: value
reasonStringReason for this resource
Example: value
lastModifiedByStringLast modified by for this resource
Example: value
